
Redmine - Defect #12349

Watchers auto-complete search on non-latin chars

2012-11-12 16:02 - Alexander Oryol

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version:  

Description

The current code generates SQL like as:

SELECT "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUser') AND (users.status = 1) AND (LOWER(login)

LIKE '%Собо%' OR LOWER(firstname) LIKE '%Собо%' OR LOWER(lastname) LIKE '%Собо%' OR LOWER(mail) LIKE '%Собо%')

LIMIT 100

So, searching user "Соболев Денис" on "Собо" as result - not found. There is the case sensitive.

Patch attached.

Associated revisions

Revision 10801 - 2012-11-13 23:01 - Jean-Philippe Lang

Fixed that Principal#like scope does not work with cyrillic characters and Postgresql (#12349).

Revision 10819 - 2012-11-17 09:50 - Jean-Philippe Lang

Merged r10801 from trunk (#12349).

History

#1 - 2012-11-13 22:57 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.1.3

#2 - 2012-11-13 23:02 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Was working fine with Mysql but not Postgresql. Fixed in r10801 with a test.

#3 - 2012-11-14 10:46 - Alexander Oryol

Hmmm...

Repo https://github.com/redmine/redmine syncronization broken again. Fix it please!

#4 - 2012-11-14 10:50 - Toshi MARUYAMA

Alexander Oryol wrote:

Hmmm...

Repo https://github.com/redmine/redmine syncronization broken again. Fix it please!

 See #11918.

Bitbucket Mercurial mirror is syncronized.

https://bitbucket.org/redmine
https://www.redmine.org/projects/redmine/repository/svn/revisions/10801
https://github.com/redmine/redmine
https://github.com/redmine/redmine
https://www.redmine.org/issues/11918
https://bitbucket.org/redmine


#5 - 2012-11-15 09:10 - Daniel Felix

- Status changed from Resolved to Closed

I close this one too as it seems to work.

#6 - 2012-11-15 09:29 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Not yet merged 2.1-stable branch.

#7 - 2012-11-17 09:50 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Merged.

Files

watcher_search.patch 875 Bytes 2012-11-12 Alexander Oryol
